docs

# InlineKeyboardRowBuilder

class InlineKeyboardRowBuilder : RowBuilder < InlineKeyboardButton >
Content copied to clipboard

Row builder of InlineKeyboardBuilder

## See also

inlineKeyboard
InlineKeyboardBuilder.row

## Constructors

InlineKeyboardRowBuilder
Link copied to clipboard
fun InlineKeyboardRowBuilder ()
Content copied to clipboard

## Functions

add
Link copied to clipboard
fun add (t: InlineKeyboardButton ): Boolean
Content copied to clipboard
unaryPlus
Link copied to clipboard
operator fun InlineKeyboardButton . unaryPlus (): Boolean
Content copied to clipboard

## Properties

row
Link copied to clipboard
val row : List < InlineKeyboardButton >
Content copied to clipboard

## Extensions

dataButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . dataButton (text: String , data: String ): Boolean
Content copied to clipboard

Creates and put CallbackDataInlineKeyboardButton

gameButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . gameButton (text: String ): Boolean
Content copied to clipboard

Creates and put CallbackGameInlineKeyboardButton

inlineQueryButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . inlineQueryButton (text: String , data: String ): Boolean
Content copied to clipboard

Creates and put SwitchInlineQueryInlineKeyboardButton

inlineQueryInCurrentChatButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . inlineQueryInCurrentChatButton (text: String , data: String ): Boolean
Content copied to clipboard

Creates and put SwitchInlineQueryCurrentChatInlineKeyboardButton

loginButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . loginButton (text: String , loginUrl: LoginURL ): Boolean
Content copied to clipboard

Creates and put LoginURLInlineKeyboardButton

payButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . payButton (text: String ): Boolean
Content copied to clipboard

Creates and put PayInlineKeyboardButton

urlButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . urlButton (text: String , url: String ): Boolean
Content copied to clipboard

Creates and put URLInlineKeyboardButton

webAppButton
Link copied to clipboard
inline fun InlineKeyboardRowBuilder . webAppButton (text: String , webApp: WebAppInfo ): Boolean
Content copied to clipboard
inline fun InlineKeyboardRowBuilder . webAppButton (text: String , url: String ): Boolean
Content copied to clipboard

Creates and put WebAppInlineKeyboardButton. Please, remember that this button is available in private chats only